Last Comment Bug 720737 - Debug intent doesn't extract libs with new linker
: Debug intent doesn't extract libs with new linker
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: -- normal (vote)
: Firefox 12
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on:
Blocks: 683127
  Show dependency treegraph
 
Reported: 2012-01-24 09:51 PST by Mike Hommey [:glandium]
Modified: 2012-01-30 00:22 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Set MOZ_LINKER_CACHE instead of CACHE_PATH (4.03 KB, patch)
2012-01-24 09:57 PST, Mike Hommey [:glandium]
blassey.bugs: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review

Description Mike Hommey [:glandium] 2012-01-24 09:51:19 PST

    
Comment 1 Mike Hommey [:glandium] 2012-01-24 09:57:09 PST
Created attachment 591145 [details] [diff] [review]
Set MOZ_LINKER_CACHE instead of CACHE_PATH
Comment 4 Mike Hommey [:glandium] 2012-01-27 01:05:02 PST
Comment on attachment 591145 [details] [diff] [review]
Set MOZ_LINKER_CACHE instead of CACHE_PATH

[Approval Request Comment]
Regression caused by bug 683127
This only really affects running under valgrind and maybe oprofile. gdb works fine without extracting libs. Running under valgrind will be required for binary reordering, that we'll probably do more or less manually on firefox 11.
Comment 5 Alex Keybl [:akeybl] 2012-01-27 16:19:34 PST
Comment on attachment 591145 [details] [diff] [review]
Set MOZ_LINKER_CACHE instead of CACHE_PATH

[Triage Comment]
Mobile only - approved for Aurora.
Comment 6 Mike Hommey [:glandium] 2012-01-30 00:22:52 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/dc0eca03f981

Note You need to log in before you can comment on or make changes to this bug.